function [cookd,mahad,AD,SMTP]=getPPstats(loop)

%[cookd,mahad,AD,SMTP]=getPPstats(loop)
%
%loop comes from leavoneoutpreds.
% cookd is Cooks distance for paired predicitons. Each col corresponds to a
% PLS rank
% mahad is Mahalanobis dist for paired preds. Each col corresponds to a PLS
% rank
% AD is absolute difference.  Each col corresponds to a PLS rank
% [SMTP is SEP, MARD, Clarke Totals in Zones A-E, Clarke % for Zones A-E]'
% each col corresponds to a PLS rank

y=loop(:,end);

for i=1:size(loop,2)-1
    yp=loop(:,i);
    dif = y - yp;
    AD(:,i)=abs(dif);
    SMTP(1,i) = std(dif);%SEP
    SMTP(2,i) = 100*mean(abs(dif)./y);%MARD
    [SMTP(3:7,i),SMTP(8:12,i)]=clarkstats(y,yp);%Clarke total,percentage
    mdl = fitlm(y,yp);
    cookd(:,i) = mdl.Diagnostics.CooksDistance;
    mahad(:,i) =  mahal(yp,y);
end





function [total,percentage]=clarkstats(y,yp)
n = length(yp);
total = zeros(5,1);                         % Initializes output
% ------------------------------- Statistics -----------------------------------
for i=1:n
    if (yp(i) <= 70 && y(i) <= 70) || (yp(i) <= 1.2*y(i) && yp(i) >= 0.8*y(i))
        total(1) = total(1) + 1;            % Zone A
    else
        if ( (y(i) >= 180) && (yp(i) <= 70) ) || ( (y(i) <= 70) && yp(i) >= 180 )
            total(5) = total(5) + 1;        % Zone E
        else
            if ((y(i) >= 70 && y(i) <= 290) && (yp(i) >= y(i) + 110) ) || ((y(i) >= 130 && y(i) <= 180)&& (yp(i) <= (7/5)*y(i) - 182))
                total(3) = total(3) + 1;    % Zone C
            else
                if ((y(i) >= 240) && ((yp(i) >= 70) && (yp(i) <= 180))) || (y(i) <= 175/3 && (yp(i) <= 180) && (yp(i) >= 70)) || ((y(i) >= 175/3 && y(i) <= 70) && (yp(i) >= (6/5)*y(i)))
                    total(4) = total(4) + 1;% Zone D
                else
                    total(2) = total(2) + 1;% Zone B
                end                         % End of 4th if
            end                             % End of 3rd if
        end                                 % End of 2nd if
    end                                     % End of 1st if
end                                         % End of for loop
total=total(:);
percentage = (total./n)*100;
