function [loop,Rres,Rlev,Rlc_res,Rstud_res,RCook,RLof]=leaveoneoutpreds(xcal,ycal,avpcal,xval,yval,avpval,calstats)

%[loop,Rres,Rlev,Rlc_res,Rstud_res,RCook,RLof]=leaveoneoutpreds(xcal,ycal,avpcal,xval,yval,avpval,calstats)
%
%leave one out predictions. Assumes xcal has 6 spectra per sitting
%calstats is boolean, 1 for calculate Rlev and Rcook, 0 for just loop
%last column of loop is yval. Each column of loop corresponds to a PLS rank
%predictions and statistics are calculated for each sitting with that
%sitting left out of the PLS decomposition.  If xcal and ycal have NaNs due
%to spectra having been identified as outliers, they are left out of the
%PLS decomposition.  

loop=[];
Rres=[];
Rlev=[];
Rlc_res=[];
Rstud_res=[];
RCook=[];
RLof=[];
dnuid=[];

parfor i=1:size(xcal,1)/6
    % cid=logical(ones(size(ax,1),1));
    % cid(i)=0;
    cid=logical(ones(6,1)*ones(1,size(xcal,1)/6));%make a set of logicals for all entries in the array
    cid(:,i)=0;%set the ones corresponding to sitting i to zero so they're left out of the calibration
    ccid=cid;
    %***********************************
    ccid(:,dnuid)=0; % do not use these sittings
    %************************************
    cid=cid(:);
    ccid=ccid(:);
    ccid=ccid&~isnan(xcal(:,1));

    %the code below can be used for the rectangular distribution of the
    %glucose information
    % [hr,rcal]=rba(ax(cid,1:64),ax(cid,end),500,50);
    % [hr,rcal]=rba(ax(ccid,1:64),ax(ccid,end),1000,500);
    % [hr,rcal]=rba(ax(ccid,1:64),ax(ccid,end),1000,50);

    %the code below performs a partial least squares regression and slope
    %intercept corrects the bvector using the orthogonal regression slope
    %of the self predicted results
    % [mbr2bbcr,ysipreds,bvects]=jpredosic(ax(ccid,[1:28,35:64]),ax(ccid,69),1,ax(:,[1:28,35:64]),ax(:,69),1);
    if calstats
        [~,ysipreds,~,res,lev,lc_res,stud_res,Cook,Lof]=jpredosicwplsout(xcal(ccid,:),ycal(ccid),avpcal,xval,yval,avpval);
    else
        [~,ysipreds,~]                 =jpredosic       (xcal(ccid,:),ycal(ccid),avpcal,xval,yval,avpval);
    end
    % [mbr2bbcr,ysipreds,bvects]=jpredosic(ax(ccid,[1:64]),ax(ccid,66),1,ax(:,[1:64]),ax(:,66),1);
    % [mbr2bbcr,ysipreds,bvects]=jpredosic(rcal(:,[1:28,35:64]),hr,1,ax(:,[1:28,35:64]),ax(:,66),1);
    % loop(i,:)=ysipreds(i,:);
    if calstats
        loop=[loop;ysipreds(~cid,:)];%all of the spectra hag glucose values predicted, but save only the ones left out
        Rres=[Rres;res(~cid,:)];
        Rlev=[Rlev;lev(~cid,:)];
        Rlc_res=[Rlc_res;lc_res(~cid,:)];
        Rstud_res=[Rstud_res;stud_res(~cid,:)];
        RCook=[RCook;Cook(~cid,:)];
        RLof=[RLof;Lof(~cid,:)];
    else
        loop=[loop;ysipreds(~cid,:)];
    end
end %i
