function prop=pws(SPEC,CONC);
% PWS calculates property-weighting spectrum.
%
%     PROP = PWS(SPEC,CONC)
%
%     SPEC and CONC are assumed to be uncentered! If CONC is a (M by C)-matrix,
%     PWS returns a (C by N)-matrix of property weighting spectra:
%
%          PROP = [pws_1'st_component;
%                  pws_2'cd_component;
%                   :
%                  pws_C'st_component]

%     R. Marbach, Vers.2.0, 5/9/90

averX=mean(SPEC);
averY=mean(CONC);
SPEC=SPEC-ones(size(SPEC,1),1)*averX;
CONC=CONC-ones(size(CONC,1),1)*averY;
%
prop=( SPEC'*CONC*diag(averY'./diag(CONC'*CONC)) )';